import {
  postPBRequest
} from "@/utils/axios";
const infoApi = {
  // 获取设备信息
  getSys() {
    return postPBRequest("/system", null, 57000);
  },
  // 获取网络信息
  getNet(params) {
    return postPBRequest("/system", params, 57001);
  },
  saveNet(params) {
    return postPBRequest("/system", params, 57201);
  },
  // 重启设备
  reboot() {
    return postPBRequest("/system", null, 57202);
  },
  // 模板列表
  getMb(params) {
    return postPBRequest('/template', params, 53000)
  },
  // 新增模板
  addMb(params) {
    return postPBRequest('/template', params, 53100)
  },
  // 更新模板
  editMb(params) {
    return postPBRequest('/template', params, 53200)
  },
  // 删除模板
  delMb(params) {
    return postPBRequest('/template', params, 53300)
  },
  // 新增点位
  addP(params) {
    return postPBRequest('/template', params, 53110, params.template_name)
  },
  // 编辑点位
  editP(params) {
    return postPBRequest('/template', params, 53210, params.template_name)
  },
  // 获取模板支持类型
  getTemplateType(params) {
    return postPBRequest('/template', params, 53001)
  },

  // 获取点位
  getP(params) {
    return postPBRequest('/template', params, 53010, params.template_name)
  },
  // 删除点位
  detP(params) {
    return postPBRequest('/template', params, 53310, params.template_name)
  },
  // 点位导入
  importP(params,template_name) {
    return postPBRequest('/template', params, 53212,template_name)
  },
  // 获取模板点位类型
  getPointType(params) {
    return postPBRequest('/template', params, 53011)
  },

  // 点位导出
  exportP(params) {
    return postPBRequest('/template', params, 53211, params.template_name)
  },
  // 获取dlt645 point数据
  getDlt645Data() {
    return postPBRequest("/template", {}, 53012);
  },
  // 驱动列表查询
  getTx(params) {
    return postPBRequest('/driver', params, 54000)
  },
  // 添加驱动
  saveTx(params) {
    return postPBRequest("/driver", params, 54100);
  },
  // 更新驱动
  editTx(params) {
    return postPBRequest("/driver", params, 54200);
  },
  // 删除通讯
  delTx(params) {
    return postPBRequest(`/driver`, params, 54300);
  },
  // 获取通讯状态
  getTxStatus(params) {
    return postPBRequest(`/driver`, params, 54003);
  },

  // 获取支持的通讯驱动
  getTxSupport() {
    return postPBRequest('/driver', null, 54001)
  },
  // 查询查询驱动下设备的可用模板列表
  getTxTemplate(params) {
    return postPBRequest("/driver", params, 54002, params.driver_name);
  },
  // 新增设备
  addSet(params) {
    return postPBRequest('/driver', params, 54110, params.driver_name)
  },
  // 更新设备
  editSet(params) {
    return postPBRequest('/driver', params, 54210, params.driver_name)
  },
   // 设备导入
  importDevice(params,driver_name) {
    return postPBRequest('/driver', params, 54212,driver_name)
  },

  // 获取设备列表
  getSet(params) {
    return postPBRequest('/driver', params, 54010, params.driver_name)
  },
  // 获取详情
  getD(params) {
    return postPBRequest('/driver', params, 54005, params.driver_name)
  },
  // 重置
  resetCount(params) {
    return postPBRequest('/driver', params, 54201, params.driver_name)
  },
  // 删除设备
  delSet(params) {
    return postPBRequest('/driver', params, 54310, params.driver_name)
  },

  // 通讯服务启用,停用
  startStatus(params) {
    return postPBRequest("/driver", params, 56201,params.driver_name);
  },
  // 通讯服务停止
  stopStatus(params) {
    return postPBRequest("/driver", params, 56202,params.driver_name);
  },
  //保存配置
  addPz(params, header) {
    return postPBRequest("/driver", params, 54202, header.driver_name);
  },
  // 获取com
  getCom(params) {
    return postPBRequest("/system", null, 57002, params.name);
  },
  // 实时数据
  // 获取驱动
  getDriverData(params) {
    return postPBRequest("/data", null, 56200);
  },
  // 获取驱动下设备数据
  getDeviceData(params) {
    return postPBRequest("/data", params, 56100);
  },
  // 获取设备下的点位
  getPointData(params) {
    return postPBRequest("/data", params, 56000);
  },
  //启用设备
  startDevice(params) {
    return postPBRequest("/data", params, 56101);
  },
  //禁用设备
  stopDevice(params) {
    return postPBRequest("/data", params, 56102);
  },
  //重置健康信息 
  resetHealth(params) {
    return postPBRequest("/data", params, 56007);
  },
  // 设定
  setHis(params) {
    return postPBRequest("/data", params, 56004);
  },
  // 启用
  startHis(params) {
    return postPBRequest("/data", params, 56002);
  },
  // 禁用
  endHis(params) {
    return postPBRequest("/data", params, 56003);
  },
  // 导出
  exportHis(params) {
    return postPBRequest("/data", params, 56006);
  },
  // 清空
  clearHis(params) {
    return postPBRequest("/data", params, 56005);
  },
  // 写值
  writeValue(params) {
    return postPBRequest("/data", params, 56001);
  }
};
export default infoApi;